
Foreman - Bug #8806

systest_foreman failing

12/29/2014 03:46 AM - Ori Rabin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The command: 

hammer proxy import-classes --name foreman-el6.example.com

fails with 500 Internal Server Error.

The production log doesn't show anything but the line that causes the error:   

 Started POST "/api/smart_proxies/1/import_puppetclasses" for 2001:4800:7818:104:be76:4eff:fe04:91

06 at 2014-12-29 05:41:06 +0000

Processing by Api::V2::SmartProxiesController#import_puppetclasses as JSON

  Parameters: {"dryrun"=>false, "apiv"=>"v2", "id"=>"1", "smart_proxy"=>{}}

Authorized user admin(Admin User)

Completed 500 Internal Server Error in 112ms (Views: 0.4ms | ActiveRecord: 5.1ms)

 at the same second proxy.log shows 404:

104.130.126.143 - - [29/Dec/2014 05:41:06] "GET /puppet/environments HTTP/1.1" 404 428 0.0008

Related issues:

Is duplicate of Smart Proxy - Bug #8811: Smart proxy does not load settings.d... Closed 12/30/2014

History

#1 - 12/29/2014 05:57 PM - Anonymous

for me the proxy works again after reverting 59846579172d655e6021b744f5e23a4ccf77e734 (#8748)

#2 - 12/30/2014 09:32 AM - Daniel Lobato Garcia

- Status changed from New to Closed

Build is successful again, closing... http://ci.theforeman.org/job/systest_foreman/5167/

#3 - 12/30/2014 09:33 AM - Anonymous

- Is duplicate of Bug #8811: Smart proxy does not load settings.d/<setting>.yml added

#4 - 01/09/2015 05:05 AM - Dominic Cleal

- Status changed from Closed to Duplicate
